Get Data Improvement Actions
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/data_improvement_actions \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/data_improvement_actions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/reports/data_maturity_scan/data_improvement_actions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"report_name": "data_improvement_actions",
"report_data": {
"data_improvement_actions": [
{
"source": "JIRA",
"event_type": "<string>",
"content_field": "ticket_description",
"observation": "Half of descriptions are too short (less than 300 characters)",
"impact": "High",
"count": 150,
"examples": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
}
]
},
"last_update": "2020-09-01T11:45:49Z"
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Data Maturity Scan
Get Data Improvement Actions
Generate Data Improvement Actions for all Entities, Skill Events and Job Profile Data in the system.
Get Data Improvement Actions
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.
When set to true, only active Employees and Jobs are included in the Data Improvement Actions. When set to false (default), all Employees and Jobs are included regardless of their active status.
Example:
true
Was this page helpful?